// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [{
  path: '/',
  name: 'index',
  component: BasicLayout,
  meta: {
    title: '首页'
  },
  redirect: '/home',
  children: [{
    path: '/home',
    name: 'home',
    redirect: '/home',
    component: PageView,
    meta: {
      title: '首页',
      icon: 'home'
    },
    hideChildrenInMenu: true,
    children: [{
      path: '/home',
      name: 'home',
      component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
      meta: {
        title: '首页',
        icon: 'home',
        hide: true
      }
    }
    ]
  },
  {
    path: '/changePwd',
    name: 'changePwd',
    component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
    meta: {
      title: '修改密码',
      icon: 'home'
    },
    hidden: true
  },
  // 产品管理
  {
    path: '/productManagement',
    redirect: '/productManagement/productCategory',
    component: PageView,
    meta: {
      title: '产品管理',
      icon: 'shop'
      // permission: 'M_shop'
    },
    children: [
      {
        path: '/productManagement/productCategory',
        redirect: '/productManagement/productCategory/list',
        name: 'productCategory',
        component: RouteView,
        meta: {
          title: '产品类别管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/productManagement/productCategory/list',
            name: 'productCategoryList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productCategory/list.vue'),
            meta: {
              title: '产品类别列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          }
        ]
      }
    ]
  },
  // auth
  {
    path: '/auth',
    redirect: '/auth/userList',
    component: PageView,
    meta: {
      title: '权限管理',
      icon: 'lock',
      permission: 'M_auth_0'
    },
    children: [{
      path: '/auth/userList',
      name: 'powerUserList',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
      meta: {
        title: '用户管理',
        icon: 'user',
        permission: 'M_auth_userList'
      }
    },
    {
      path: '/auth/roleList',
      name: 'powerRoleList',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
      meta: {
        title: '角色管理',
        icon: 'solution',
        permission: 'M_auth_roleList'
      }
    }
    ]
  },
  {
    path: '/setting',
    redirect: '/setting/userList',
    component: PageView,
    meta: {
      title: '系统设置',
      icon: 'setting',
      permission: 'M_setting_0'
    },
    children: [{
      path: '/setting/dataDictionary',
      name: 'powerDD',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/dataDictionary/dataDictionary.vue'),
      meta: {
        title: '数据字典管理',
        icon: 'database',
        permission: 'M_sys_dataDictionary'
      }
    },
    // {
    //   path: '/setting/register',
    //   name: 'powerRegister',
    //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
    //   meta: {
    //     title: '参数管理',
    //     icon: 'key',
    //     permission: 'M_sys_register'
    //   }
    // },
    {
      path: '/setting/OperateJournal',
      name: 'powerOperateJournal',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/OperateJournal/OperateJournal.vue'),
      meta: {
        title: '操作日志',
        icon: 'read',
        permission: 'M_operateJournal'
      }
    }
    ]
  }
  ]
},
{
  path: '*',
  redirect: '/404',
  hidden: true
}
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [{
  path: '/user',
  component: UserLayout,
  redirect: '/user/login',
  hidden: true,
  children: [{
    path: 'login',
    name: 'login',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
  },
  {
    path: 'register',
    name: 'register',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
  },
  {
    path: 'register-result',
    name: 'registerResult',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
  },
  {
    path: 'recover',
    name: 'recover',
    component: undefined
  }
  ]
},
{
  path: '/404',
  component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
}

]
